load defined_Gaussian_peak_on_const_bg

figure
scatter(t,y,'o','filled')
set(gca,'FontSize',14,'box','on')
xlabel('time (s)')
ylabel('signal (arbitrary unit)')

% print(gcf,'background_scatter','-dpng')

% build design matrix
A = [ones(length(t),1)  exp(-((t-15)/6).^2)'];

[U,S,V] = svd(A,0);   % svd of the design matrix
W = diag(1./diag(S)); % note: we didn't check for zero singular values
a = V*W*U'*y;         % our coefficients
[n,m] = size(A);      % for computing reduced chi squared
redchisqu = sum((A*a-y).^2)/(n-m); % reduced chi squared
errmat = redchisqu*V*W.^2*V'; % covariance matrix

% display results:
disp(a)
sa = sqrt(diag(errmat));
disp(sa)

gaus_fit = a(1) + a(2)*exp(-(t-15).^2/6.^2);

% plot results
figure
scatter(t,y,'o','filled')
set(gca,'FontSize',14,'box','on')
xlabel('time (s)')
ylabel('signal (arbitrary unit)')

hold on
plot(t,gaus_fit,'Linewidth',3)
legend('Signal','Gaussian Peak')

% print(gcf,'background_scatter_fit','-dpng')